
#include "stm32f10x.h"


/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/
#ifdef __GNUC__
  /* With GCC/RAISONANCE, small printf (option LD Linker->Libraries->Small printf
     set to 'Yes') calls __io_putchar() */
  #define PUTCHAR_PROTOTYPE int __io_putchar(int ch)
#else
  #define PUTCHAR_PROTOTYPE int fputc(int ch, FILE *f)
#endif /* __GNUC__ */
void Init_USART1(void);
/* Private functions ---------------------------------------------------------*/




//******************************************************************************







void Init_USART1(void)
{
  GPIO_InitTypeDef  GPIO_hadi;
  USART_InitTypeDef USART_hadi;
  
  /* Enable GPIOA and USART1 clock */
  RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOA | RCC_APB2Periph_USART1, ENABLE);

  /* Configure USART1 Rx (PA10) as input floating */
  GPIO_hadi.GPIO_Pin   = GPIO_Pin_10;
  GPIO_hadi.GPIO_Mode  = GPIO_Mode_IN_FLOATING;
  GPIO_Init(GPIOA, &GPIO_hadi);

  /* Configure USART1 Tx (PA9) as alternate function push-pull */
  GPIO_hadi.GPIO_Pin   = GPIO_Pin_9;
  GPIO_hadi.GPIO_Speed = GPIO_Speed_2MHz;
  GPIO_hadi.GPIO_Mode  = GPIO_Mode_AF_PP;
  GPIO_Init(GPIOA, &GPIO_hadi);

  /* USART1 configured as follow:
        - BaudRate = 115200 baud  
        - Word Length = 8 Bits
        - One Stop Bit
        - No parity
        - Hardware flow control disabled (RTS and CTS signals)
        - Receive and transmit enabled
        - USART Clock disabled
        - USART CPOL: Clock is active low
        - USART CPHA: Data is captured on the middle 
        - USART LastBit: The clock pulse of the last data bit is not output to 
                         the SCLK pin
  */
  USART_hadi.USART_BaudRate            = 9600;
  USART_hadi.USART_WordLength          = USART_WordLength_8b;
  USART_hadi.USART_StopBits            = USART_StopBits_1;
  USART_hadi.USART_Parity              = USART_Parity_No ;
  USART_hadi.USART_HardwareFlowControl = USART_HardwareFlowControl_None;
  USART_hadi.USART_Mode                = USART_Mode_Rx | USART_Mode_Tx;  
  USART_Init(USART1, &USART_hadi);

  USART_Cmd(USART1, ENABLE); // Enable USART1                     
}
//************************************************************************

PUTCHAR_PROTOTYPE
{
  /* Write a character to the USART */
  USART_SendData(USART1, (u8) ch);

  /* Loop until the end of transmission */
  while(USART_GetFlagStatus(USART1, USART_FLAG_TXE) == RESET)
  {
  }

  return ch;
}
